[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnPack

Create unpacked array from packed array

## Declaration

Source position: system.fpd line 73

`procedure UnPack(`
`const Z: PackedArrayType;`
`out A: UnpackedArrayType;`
`StartIndex: TIndexType`
`);`

## Description

UnPack will copy the elements of a packed array (Z) to an unpacked array (A). All elements in Z are copied to A, starting at index StartIndex in A. The type of the index variable StartIndex must match the type of the index of A.

Obviously, the type of the elements of the arrays A and Z must match.

## See also

Pack |  | Create packed array from normal array

Documentation generated on: Feb 26 2014